#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define	module	zope.testing
Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Name:		python3-%{module}
Version:	5.1
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-testing/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.testing/zope_testing-%{version}.tar.gz
# Source0-md5:	c431453beaca9914aa10a7dabd79c59e
URL:		https://www.zope.org/
BuildRequires:	python3-devel >= 1:3.9
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-zope.testrunner
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-repoze.sphinx.autointerface
BuildRequires:	python3-zope.exceptions
BuildRequires:	python3-zope.interface
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.9
Requires:	python3-zope-base
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a number of testing frameworks. It supports both
doctest and unittest.

%description -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Obsługuje zarówno
doctest jak i unittest.

%package apidocs
Summary:	API documentation for Python zope.testing module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona zope.testing
Group:		Documentation

%description apidocs
API documentation for Python zope.testing module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona zope.testing.

%prep
%setup -q -n zope_testing-%{version}

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd)/src \
zope-testrunner-3 --test-path=src
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# tests for zope.testing itself
%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testing/tests.py \
	$RPM_BUILD_ROOT%{py3_sitescriptdir}/zope/testing/__pycache__/tests.*.py*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/zope/testing
%{py3_sitescriptdir}/zope.testing-%{version}-py*.egg-info
%{py3_sitescriptdir}/zope.testing-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,api,*.html,*.js}
%endif
%changelog
* Tue Apr 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-zope.testing.git;a=log;h=auto/th/python3-zope.testing-5.1-1

* Mon Apr 21 2025 Jakub Bogusz <qboosh@pld-linux.org> 3aa280d
- python-zope.testing.spec updated to 5.1 for python 3.9+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 0965d2a
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> b8e709a
- python 3.13 rebuild

* Mon Sep 25 2023 Jakub Bogusz <qboosh@pld-linux.org> f0320d3
- added python2 note

* Tue Apr 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 1378b97
- updated to 4.10, added apidocs

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7ca2b69
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 193a327
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d44eb96
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 786ba62
- rebuild with python 3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 6fc855a
- bumped Obsoletes, there was even Zope-Testing-3.10

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 94a9ebe
- now python 3.5 is required

* Tue Feb 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 6a6742d
- updated to 4.9
- versioned Obsoletes

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> 68c1740
- noarch package
- rel 3

* Sat Mar 06 2021 Jan Palus <atler@pld-linux.org> c3594bd
- disable debug packages; rel 2

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 3693e16
- updated to 4.7; zope.testrunner is separate package now

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e77a09d
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> af3d25c
- release 3 (by relup.sh)

* Sun Jan 01 2017 Jan Rękorajski <baggins@pld-linux.org> 20ca8d4
- add python3 package
- rel 2

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 5626eed
- renamed to  python-zope.testing

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 157cdfc
- don't pull Zope

